import { ReactNode, MouseEventHandler } from 'react';

interface ButtonProps {
    onClick: MouseEventHandler<HTMLButtonElement>;
    children: ReactNode;
}

export default function Button({ onClick, children }: ButtonProps) {
    return (
        <button style={{
            backgroundColor: 'var(--color-lightblue)',
            borderRadius: '8px',
            borderWidth: '0',
            color: 'var(--color-darkblue)',
            cursor: 'pointer',
            display: 'inline-block',
            fontFamily: '"Haas Grot Text R Web", "Helvetica Neue", Helvetica, Arial, sans-serif',
            fontSize: '14px',
            fontWeight: '500',
            lineHeight: '20px',
            listStyle: 'none',
            margin: '0',
            padding: '10px 12px',
            textAlign: 'center',
            transition: 'all 200ms',
            verticalAlign: 'baseline',
            whiteSpace: 'nowrap',
            userSelect: 'none',
            WebkitUserSelect: 'none',
            touchAction: 'manipulation',
        }} onClick={onClick} className="ni-button" role="button">{children}</button>
    )
}

